"""database

Revision ID: 22ecce167a90
Revises: 293b84dc3f9e
Create Date: 2018-05-20 11:31:12.274076

"""

# revision identifiers, used by Alembic.
revision = '22ecce167a90'
down_revision = '293b84dc3f9e'
branch_labels = None
depends_on = None

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('bucket',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uuid', sa.String(length=36), nullable=True),
    sa.Column('name', sa.String(length=80), nullable=True),
    sa.Column('ciphertext', sa.Text(), nullable=True),
    sa.Column('active', sa.Boolean(), nullable=True),
    sa.Column('description', sa.Text(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_index('bucket_idx_uuid', 'bucket', ['uuid'], unique=False, postgresql_ops={'uuid': 'text_pattern_ops'})
    op.create_table('bucket_roles',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('bucket_id', sa.Integer(), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('role', sa.String(length=10), nullable=True),
    sa.ForeignKeyConstraint(['bucket_id'], ['bucket.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('secret',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('bucket_id', sa.Integer(), nullable=True),
    sa.Column('name', sa.String(length=80), nullable=True),
    sa.Column('ciphertext', sa.Text(), nullable=True),
    sa.Column('version', sa.Integer(), nullable=True),
    sa.Column('active', sa.Boolean(), nullable=True),
    sa.ForeignKeyConstraint(['bucket_id'], ['bucket.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column(u'user', sa.Column('role', sa.String(length=10), nullable=True))
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column(u'user', 'role')
    op.drop_table('secret')
    op.drop_table('bucket_roles')
    op.drop_index('bucket_idx_uuid', table_name='bucket')
    op.drop_table('bucket')
    ### end Alembic commands ###
